org.apache.geode.cache

## Class RegionReinitializedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.cache.CacheRuntimeException
          - - org.apache.geode.cache.RegionDestroyedException
            - - org.apache.geode.cache.RegionReinitializedException

- All Implemented Interfaces:
    java.io.Serializable

      public class RegionReinitializedException
      extends RegionDestroyedException

  Indicates that the region has been reinitialized. Further operations on the region object are not allowed using this region reference. A new reference must be acquired from the Cache the region's parent region.
  Since:
    GemFire 4.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegionReinitializedException(java.lang.String msg, java.lang.String regionFullPath)` Constructs a `RegionReinitializedException` with a message.
    `RegionReinitializedException(java.lang.String s, java.lang.String regionFullPath, java.lang.Throwable ex)` Constructs a `RegionDestroyedException` with a message and a cause.

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.cache.RegionDestroyedException

      `getRegionFullPath`

    - ### Methods inherited from class org.apache.geode.cache.CacheRuntimeException

      `toString`

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RegionReinitializedException

          public RegionReinitializedException(java.lang.String msg,
                                              java.lang.String regionFullPath)

      Constructs a `RegionReinitializedException` with a message.
      Parameters:
        `msg` - the String message

    - #### RegionReinitializedException

          public RegionReinitializedException(java.lang.String s,
                                              java.lang.String regionFullPath,
                                              java.lang.Throwable ex)

      Constructs a `RegionDestroyedException` with a message and a cause.
      Parameters:
        `s` - the String message
        `ex` - the Throwable cause